from django.views.decorators.http import require_http_methods

from backend.Service.AuthMenuService import AuthMenuService

@require_http_methods(['POST'])
def menuList(reqeust):
    return AuthMenuService.menuList(reqeust)

@require_http_methods(['POST'])
def search(reqeust):
    return AuthMenuService.search(reqeust)

@require_http_methods(['POST'])
def create(reqeust):
    return AuthMenuService.create(reqeust)

@require_http_methods(['POST'])
def update(reqeust):
    return AuthMenuService.update(reqeust)

@require_http_methods(['POST'])
def delete(reqeust):
    return AuthMenuService.delete(reqeust)

@require_http_methods(['POST'])
def info(reqeust):
    return AuthMenuService.info(reqeust)

@require_http_methods(['POST'])
def listpage(reqeust):
    return AuthMenuService.listpage(reqeust)